package ch.std.jumpstart.service;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

import ch.std.jumpstart.jpa.City;
import ch.std.jumpstart.repository.CityRepository;

@Service
public class CityService {

	private CityRepository cityRepository;

	public CityService(CityRepository cityRepository) {
		this.cityRepository = cityRepository;
	}

	public List<City> find(String value) {
		return cityRepository.findByNameLike(value);
	}

	public Page<City> find(String value, Pageable pageable) {
		return cityRepository.findByNameLike(value, pageable);
	}

}
